<bugID>830559<Summary>doorhanger/panel stops mouse input propagation</Summary><Description>This is spun off of Bug 760623 as a global issue for doorhanger/panels.

When a doorhanger is open, clicking outside of the panel causes it to be dismissed. However, it consumes the mouse input and stops its propagation. If you were trying to interact with the page/browser, you'd then have to click a second time. Trying to scroll the page will also has no affect until the panel is closed.

This is especially problematic on Linux (maybe others, but I can't test) because the panel also consumes mouse input outside of the Firefox window. Clicking on a window from another application will dismiss the panel, but it won't focus the window you tried to click on.

This is becoming more annoying and more features make use of doorhangers. The downloads panel used to show once per-session. Click to play can show once per-window-per-session. This is annoying even when manually opening a panel because it still requires the superfluous click to dismiss it.</Description></bugID>